package cn.com.poc.data_analyze.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for MemberPointUsageQuery
 */
@Entity
public class MemberPointUsageTrendQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * dialogue_date
     * dialogue_date
     */
    private String dialogueDate;

    @Column(name = "dialogue_date")
    public String getDialogueDate() {
        return this.dialogueDate;
    }

    public void setDialogueDate(String dialogueDate) {
        this.dialogueDate = dialogueDate;
    }

    /**
     * total_points
     * total_points
     */
    private java.lang.Double totalPoints;

    @Column(name = "total_points")
    public java.lang.Double getTotalPoints() {
        return this.totalPoints;
    }

    public void setTotalPoints(java.lang.Double totalPoints) {
        this.totalPoints = totalPoints;
    }

} 